## WebKitDOMElement WebKitDOMElement |

## Functions

gboolean | webkit_dom_element_html_input_element_is_user_edited ()
gboolean | webkit_dom_element_html_input_element_get_auto_filled ()
void | webkit_dom_element_html_input_element_set_auto_filled ()
void | webkit_dom_element_html_input_element_set_editing_value ()

## Types and Values

struct | WebKitDOMElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement

## Description

## Functions

### webkit_dom_element_html_input_element_is_user_edited ()

    gboolean
    webkit_dom_element_html_input_element_is_user_edited
                                   (WebKitDOMElement *element);

Get whether `element` is an HTML text input element that has been edited by a user action.

#### Parameters

element | a WebKitDOMElement |

#### Returns

whether `element` has been edited by a user action.

Since: 2.22

### webkit_dom_element_html_input_element_get_auto_filled ()

    gboolean
    webkit_dom_element_html_input_element_get_auto_filled
                                   (WebKitDOMElement *element);

### webkit_dom_element_html_input_element_set_auto_filled ()

    void
    webkit_dom_element_html_input_element_set_auto_filled
                                   (WebKitDOMElement *element,
                                    gboolean auto_filled);

Set whether the element is an HTML input element that has been filled automatically. If `element` is not an HTML input element this function does nothing.

#### Parameters

element | a WebKitDOMElement |
auto_filled | value to set |

Since: 2.22

### webkit_dom_element_html_input_element_set_editing_value ()

    void
    webkit_dom_element_html_input_element_set_editing_value
                                   (WebKitDOMElement *element,
                                    const char *value);

Set the value of an HTML input element as if it had been edited by the user, triggering a change event. If `element` is not an HTML input element this function does nothing.

#### Parameters

element | a WebKitDOMElement |
value | the text to set |

Since: 2.22

## Types and Values

### struct WebKitDOMElement

    struct WebKitDOMElement;